Returns Users in an Organization based on their Permissions.
1 min
GET
https://usermgmt-api.optimizely.com/api/organizations/{orgId}/Users
orgIdstringThe organization id.
includeExternalStatusbooleanInclude the external status of the user.
userSearchFieldstringUser search field.
roleIdsarrayIDs of the roles the user belongs to.
permissionTypestringThe type representing the Ids type.
idsarrayIDs for the type specified.
isVirtualbooleanFilter by virtual agent user status.
sizeinteger<int32>Number of results to include per page.
offsetinteger<int32>Offset paging of results.
acceptstringGenerated from available response content types
200Users matching the provided permission and role filters.
400The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
401Unauthorized access to endpoint.
403Forbidden access to endpoint.
500<p>A server error occurred, please try again.</p>
curl --request GET \
--url 'https://usermgmt-api.optimizely.com/api/organizations/{orgId}/Users?permissionType=string&ids=array' \
--header 'accept: application/json'